Bug 130686 - rpmdb: PANIC: fatal region error detected; run recovery
rpmdb: PANIC: fatal region error detected; run recovery
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2004-08-23 14:34 EDT by heaya summy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 15:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description heaya summy 2004-08-23 14:34:27 EDT
Description of problem:
When attempting to install RealPlayer10GOLD.rpm with the "rpm -i"
command, get the following list of errors >>

[root@deneb rpms]# rpm -i RealPlayer10GOLD.rpm
rpmdb: PANIC: fatal region error detected; run recovery
error: db4 error(-30978) from dbenv->open: DB_RUNRECOVERY: Fatal
error, run database recovery
error: cannot open Packages index using db3 -  (-30978)
error: cannot open Packages database in /var/lib/rpm

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Download the above rpm from the website
2.  type rpm -i filename (making sure that the rpm file is executable
by making necessary permission changes) as root.
Actual results:
rpmdb error.

Expected results:
installation of the rpm package.

Additional info:
Comment 1 Jeff Johnson 2004-10-15 10:42:45 EDT
Try this first
    rm -f /var/lib/rpm/__db*

Test with (as root)
    rpm -qa

Does that "fix"? If not poke me, and I'll tell you what to do
Comment 2 Jeffrey Siegal 2004-10-18 16:52:52 EDT
I just ran into this, but I had not tryed to install RealPlayer (or
any other third party stuff -- just regular FC2 stuff from the install
CDs and up2date).  I did the "rm -f /var/lib/rpm/__db*" command and
that seemed to fix the problem.

Note You need to log in before you can comment on or make changes to this bug.